PHP-инклюдинг в BolinOS

Дата публикации:
21.09.2006
Всего просмотров:
948
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4850
CVE-2006-4851
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
BolinOS 4.x
Уязвимые версии: BolinOS 4.5.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "gBRootPath" в сценарии system/_b/contentFiles/gBIndex.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[script path]/system/_b/contentFiles/gBIndex.php?gBRootPath=[file]

URL производителя: www.bolinos.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: BolinOS v.4.5.5 <= (gBRootPath) Remote File Include Vulnerability

или введите имя

CAPTCHA